HamletSpec.Listing (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: Listing

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.Listing

All Known Subinterfaces:
  `HamletSpec._Block`, `HamletSpec._Body`, `HamletSpec._Cell`, `HamletSpec._Html`, `HamletSpec.Block`, `HamletSpec.BLOCKQUOTE`, `HamletSpec.BODY`, `HamletSpec.BUTTON`, `HamletSpec.DD`, `HamletSpec.DEL`, `HamletSpec.DIV`, `HamletSpec.FIELDSET`, `HamletSpec.Flow`, `HamletSpec.FORM`, `HamletSpec.HTML`, `HamletSpec.INS`, `HamletSpec.LI`, `HamletSpec.MAP`, `HamletSpec.OBJECT`, `HamletSpec.TD`, `HamletSpec.TH`

All Known Implementing Classes:
  `Hamlet`, `Hamlet.BLOCKQUOTE`, `Hamlet.BODY`, `Hamlet.BUTTON`, `Hamlet.DD`, `Hamlet.DEL`, `Hamlet.DIV`, `Hamlet.FIELDSET`, `Hamlet.FORM`, `Hamlet.HTML`, `Hamlet.INS`, `Hamlet.LI`, `Hamlet.MAP`, `Hamlet.OBJECT`, `Hamlet.TD`, `Hamlet.TH`, `HtmlBlock.Block`, `HtmlPage.Page`

Enclosing class:
  HamletSpec

public static interface HamletSpec.Listing
%list

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.OL`
  `ol()`
  Add a OL (ordered list) element.
  `HamletSpec.OL`
  `ol(String selector)`
  Add a OL (ordered list) element.
  `HamletSpec.UL`
  `ul()`
  Add a UL (unordered list) element.
  `HamletSpec.UL`
  `ul(String selector)`
  Add a UL (unordered list) element.

- ## Method Details

  - ### ul

    HamletSpec.UL ul()
    Add a UL (unordered list) element.
    Returns:
      a new UL element builder

  - ### ul

    HamletSpec.UL ul(String selector)
    Add a UL (unordered list) element.
    Parameters:
      `selector` - the css selector in the form of (#id)?(.class)*
    Returns:
      a new UL element builder

  - ### ol

    HamletSpec.OL ol()
    Add a OL (ordered list) element.
    Returns:
      a new UL element builder

  - ### ol

    HamletSpec.OL ol(String selector)
    Add a OL (ordered list) element.
    Parameters:
      `selector` - the css selector in the form of (#id)?(.class)*
    Returns:
      a new UL element builder